GET
Get Level1 Order Book
Gets a snapshot of the level1 order book for product.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account -
productstring requiredThe name of the product
Responses
200
A Level1OrderBookSnapshot
Response Body
object
-
timestring date-time requiredThe timestamp when the order book snapshot was generated -
productstring requiredProduct name -
bidPricestring decimal requiredHighest bid price for base asset in quote currency -
bidSizestring decimal requiredQuantity of base asset at highest bid price -
askPricestring decimal requiredLowest ask price for base asset in quote currency -
askSizestring decimal requiredQuantity of base asset at lowest ask price
default
unexpected error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-